Subject: [Sipping] I-D ACTION:draft-ietf-sipping-service-examples-09.txt

From: [email-masked]
Date: Tue, 19 Jul 2005 10:50:02 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Proposal Investigation Working Group of the IETF.

	Title		: Session Initiation Protocol Service Examples
	Author(s)	: A. Johnston, et al.
	Filename	: draft-ietf-sipping-service-examples-09.txt
	Pages		: 169
	Date		: 2005-7-19
	
This document gives examples of Session Initiation Protocol (SIP)
   services.  This covers most features offered in so-called IP Centrex
   offerings from local exchange carriers and PBX (Private Branch
   Exchange) features.  Most of the services shown in this document are
   implemented in the SIP User Agents, although some require the
   assistance of a SIP Proxy.  Some require some extensions to SIP
   including the REFER, SUBSCRIBE, and NOTIFY methods and the Replaces
   and Join headers.  These features are not intended to be an
   exhaustive set, but rather show implementations of common features
   likely to be implemented on SIP IP telephones in a business
   environment.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-09.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sipping-service-examples-09.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sipping-service-examples-09.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Tue, 19 Jul 2005 22:06:00 +0200

At first sight the Call Forwarding scenarios seem to violate RFC3261 section 
16.7 point 6 by sending the 181:

"A proxy MUST NOT insert a tag into the To header field of a 1xx or 2xx 
response if the request did not contain one.  A proxy MUST NOT modify the 
tag in the To header field of a 1xx or 2xx response. Since a proxy may not 
insert a tag into the To header field of a 1xx response to a request that 
did not contain one, it cannot issue non-100 provisional responses on its 
own."

I think for this case the RFC needs a clarification, the intention seems to 
convey a status without creating an early dialog (so no to-tag).
But perhaps this would confuse non-RFC3261 clients that follow RFC2543?

Couldn't this same principle be applied to the proposed HERFP 130 response? 
i.e. don't set a to-tag, since the intention is not to create an early 
dialog?

Jeroen

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 19, 2005 4:50 PM
Subject: [Sipping] I-D ACTION:draft-ietf-sipping-service-examples-09.txt

> implementation to automatically retrieve the ASCII version of the

--------------------------------------------------------------------------------